package alx.p40_io;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class WierszPoWierszu {
	public static void wypisz(String wejscie) {
		try(BufferedReader br = new BufferedReader(new FileReader(wejscie))) {
			 String napis;
			 int licznik = 1;
			 while((napis = br.readLine()) != null) {
				 System.out.printf("%5d : ", licznik);
				 System.out.println(napis);
				 licznik++;
			 }
		} catch (FileNotFoundException e) {
			System.out.println("Plik nie znaleziony "+e.getMessage());
		} catch (IOException e) {
			System.out.println("Błąd wej/wyj "+e.getMessage());
		}
	}
	
	public static void main(String[] args) {
		wypisz("src/p22_pliki/proste_strumienie/WierszPoWierszu.java");
	}
}
